## List devices (deprecated) `zero_trust.devices.list(DeviceListParams**kwargs) -> SyncSinglePage[Device]` **get** `/accounts/{account_id}/devices` List WARP devices. Not supported when [multi-user mode](https://developers.cloudflare.com/cloudflare-one/connections/connect-devices/warp/deployment/mdm-deployment/windows-multiuser/) is enabled for the account. **Deprecated**: please use one of the following endpoints instead: - GET /accounts/{account_id}/devices/physical-devices - GET /accounts/{account_id}/devices/registrations ### Parameters - `account_id: str` ### Returns - `class Device: …` - `id: Optional[str]` Registration ID. Equal to Device ID except for accounts which enabled [multi-user mode](https://developers.cloudflare.com/cloudflare-one/connections/connect-devices/warp/deployment/mdm-deployment/windows-multiuser/). - `created: Optional[datetime]` When the device was created. - `deleted: Optional[bool]` True if the device was deleted. - `device_type: Optional[Literal["windows", "mac", "linux", 3 more]]` - `"windows"` - `"mac"` - `"linux"` - `"android"` - `"ios"` - `"chromeos"` - `ip: Optional[str]` IPv4 or IPv6 address. - `key: Optional[str]` The device's public key. - `last_seen: Optional[datetime]` When the device last connected to Cloudflare services. - `mac_address: Optional[str]` The device mac address. - `manufacturer: Optional[str]` The device manufacturer name. - `model: Optional[str]` The device model name. - `name: Optional[str]` The device name. - `os_distro_name: Optional[str]` The Linux distro name. - `os_distro_revision: Optional[str]` The Linux distro revision. - `os_version: Optional[str]` The operating system version. - `os_version_extra: Optional[str]` Additional operating system version details. For Windows, the UBR (Update Build Revision). For Mac or iOS, the Product Version Extra. For Linux, the distribution name and version. - `revoked_at: Optional[datetime]` When the device was revoked. - `serial_number: Optional[str]` The device serial number. - `updated: Optional[datetime]` When the device was updated. - `user: Optional[User]` - `id: Optional[str]` UUID. - `email: Optional[str]` The contact email address of the user. - `name: Optional[str]` The enrolled device user's name. - `version: Optional[str]` The WARP client version. ### Example ```python import os from cloudflare import Cloudflare client = Cloudflare( api_token=os.environ.get("CLOUDFLARE_API_TOKEN"), # This is the default and can be omitted ) page = client.zero_trust.devices.list( account_id="699d98642c564d2e855e9661899b7252", ) page = page.result[0] print(page.id) ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "result": [ { "id": "f174e90a-fafe-4643-bbbc-4a0ed4fc8415", "created": "2017-06-14T00:00:00Z", "deleted": true, "device_type": "windows", "ip": "1.1.1.1", "key": "yek0SUYoOQ10vMGsIYAevozXUQpQtNFJFfFGqER/BGc=", "last_seen": "2017-06-14T00:00:00Z", "mac_address": "00-00-5E-00-53-00", "manufacturer": "My phone corp", "model": "MyPhone(pro-X)", "name": "My mobile device", "os_distro_name": "ubuntu", "os_distro_revision": "1.0.0", "os_version": "10.0.0", "os_version_extra": "(a) or 6889 or Ubuntu 24.04", "revoked_at": "2017-06-14T00:00:00Z", "serial_number": "EXAMPLEHMD6R", "updated": "2017-06-14T00:00:00Z", "user": { "id": "f174e90a-fafe-4643-bbbc-4a0ed4fc8415", "email": "user@example.com", "name": "John Appleseed" }, "version": "1.0.0" } ], "success": true, "result_info": { "count": 1, "page": 1, "per_page": 20, "total_count": 2000 } } ```